Bug 1497687 (popub) - Review Request: popub - Upstream rename of portpub
Summary: Review Request: popub - Upstream rename of portpub
Keywords:
Status: CLOSED ERRATA
Alias: popub
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-02 13:12 UTC by Zamir SUN
Modified: 2017-11-07 22:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 22:17:53 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1490058 None None None Never

Internal Links: 1490058

Description Zamir SUN 2017-10-02 13:12:12 UTC
Spec URL: https://raw.githubusercontent.com/sztsian/packaging/4a8dbeb9250a8dcb1b3313c0cb62f34f6b8513b8/portpub/popub.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/zsun/test/fedora-rawhide-x86_64/00611115-popub/popub-0-0.2.20170920git4698f9a.fc28.src.rpm
Description: Publish a service from localhost onto your server. This is a rename of portpub bz 1490058.
Fedora Account System Username: zsun

Comment 1 Robert-André Mauchin 2017-10-02 13:30:46 UTC
Where are the Obsoletes and Provides for the old package??

Comment 2 Zamir SUN 2017-10-02 13:45:44 UTC
(In reply to Robert-André Mauchin from comment #1)
> Where are the Obsoletes and Provides for the old package??

Ouch... I removed Obsoletes by mistake.

SPEC URL: https://raw.githubusercontent.com/sztsian/packaging/748d80fc4343463dc22cca727b64d840a03f5031/portpub/popub.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/zsun/test/fedora-rawhide-x86_64/00611123-popub/popub-0-0.2.20170920git4698f9a.fc28.src.rpm

Comment 3 Robert-André Mauchin 2017-10-02 14:36:10 UTC
 - You must include *both* Obsoletes and Provides so that we provide a correct upgrade path. See https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

Provides: portpub-local%{?_isa} = %{version}-%{release}
Obsoletes: portpub-local <= 0-0.2


Provides: portpub-relay%{?_isa} = %{version}-%{release}
Obsoletes: portpub-relay <= 0-0.2


 - Also this package install user unit files, they must be handled by systemd scriplets, see https://fedoraproject.org/wiki/Packaging:Scriptlets#Systemd

   First add the folldwing BR and macro:

%{?systemd_requires}
BuildRequires: systemd

   Then add the scriplet for the unit files and user unit files:

%post local
%systemd_post %{name}-local@.service
%systemd_user_post %{name}-local@.service

%preun local
%systemd_preun %{name}-local@.service
%systemd_user_preun %{name}-local@.service

%postun local
%systemd_postun_with_restart %{name}-local@.service

%post relay
%systemd_post %{name}-relay@.service
%systemd_user_post %{name}-relay@.service

%preun relay
%systemd_preun %{name}-relay@.service
%systemd_user_preun %{name}-relay@.service

%postun relay
%systemd_postun_with_restart %{name}-relay@.service

Comment 5 Robert-André Mauchin 2017-10-16 11:24:45 UTC
All ok, package accepted.

Comment 6 Gwyn Ciesla 2017-10-16 14:45:00 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/popub

Comment 7 Fedora Update System 2017-10-30 13:02:56 UTC
popub-0-0.3.20171007git6ffa11c.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dbe596c86c

Comment 8 Fedora Update System 2017-10-30 17:06:47 UTC
popub-0-0.3.20171007git6ffa11c.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dbe596c86c

Comment 9 Fedora Update System 2017-11-07 22:17:53 UTC
popub-0-0.3.20171007git6ffa11c.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.